<template>
	<div class="banner__content">
		<div class="banner__main-content">
			<div class="banner__date">{{ params.date }}</div>
			<div class="banner__event">{{ params.event }}</div>
			<div class="banner__title">{{ params.title }}</div>
			<a v-if="params.button.link" :href="params.button.link.url" :target="params.button.link.target || '_self'" :class="['button', 'button--' + button_color, {'button--dots' : button_dots} ]">{{ params.button.link.title }}</a>
		</div>
		<div class="banner__img" v-if="!full">
			<img :src="params.img" alt="">
		</div>
	</div>
</template>

<script>
export default {	
	props: ['params','full'],
    data() {
    	return {
    		button_color : this.params.button.color || null,
    		button_dots : this.params.button.dots || null,
        }
    }
}
</script>